1

Closed

Error text on Prereq script is incorrect

description

if (((Get-WmiObject Win32_OperatingSystem).Version -like "6.2*") -and ($env:spVer -eq "14")) { Throw " - SharePoint 2013 is officially unsupported on Windows Server 2012 - see " <# REMOVED AS SP2010 on Windows Server 2012 IS OFFICIALLY UNSUPPORTEDThe error text should be "Sharepoint 2010 is officially unsupported on Windows Server 2012"... - Philo
Closed Nov 20, 2012 at 1:43 AM by brianlala

comments

brianlala wrote Nov 20, 2012 at 1:29 AM

Whoops! I'll fix it...

Brian

wrote Nov 20, 2012 at 1:43 AM

Resolved with changeset 96239: AutoSPInstallerFunctions.ps1:
  • Fixed SharePoint setup error that started occurring with slipstreamed media starting with the August 2012 CU, whereby the script would error out with a PatchApplicationFailure on the binary installs. It appears this is actually benign, so the script now ignores it.
  • Updated references to $dbServer in CreateUserProfileServiceApplication to $mySiteDBServer per issue 18878
  • ConfigureDiagnosticLogging and ConfigureUsageLogging functions now only attempt to move log files if the before & after locations are actually different
  • Fixed syntax error in message about SP2010 being unsupported on Windows Server 2012 per issue 18946
    AutoSPInstallerMain.ps1: Script will now only attempt to load sites in browser (central admin etc.) if RemoteInstall.Enable is set to true, instead of just if $remoteFarmServers has values